---
title: llarp::buffer_printer

---

# llarp::buffer_printer





## Public Functions

|                | Name           |
| -------------- | -------------- |
| template <typename T ,typename  =std::enable_if_t<sizeof(T) == 1>\> <br>| **[buffer_printer](Classes/structllarp_1_1buffer__printer.md#function-buffer-printer)**(std::basic_string_view< T > buf) |
| template <typename T ,typename  =std::enable_if_t<sizeof(T) == 1>\> <br>| **[buffer_printer](Classes/structllarp_1_1buffer__printer.md#function-buffer-printer)**(const std::basic_string< T > & buf) |
| template <typename T ,typename  =std::enable_if_t<sizeof(T) == 1>\> <br>| **[buffer_printer](Classes/structllarp_1_1buffer__printer.md#function-buffer-printer)**(std::basic_string< T > && buf) =delete |
| template <typename T ,typename  =std::enable_if_t<sizeof(T) == 1>\> <br>| **[buffer_printer](Classes/structllarp_1_1buffer__printer.md#function-buffer-printer)**(const T * data, size_t size) |
| | **[buffer_printer](Classes/structllarp_1_1buffer__printer.md#function-buffer-printer)**(const [llarp_buffer_t](Classes/structllarp__buffer__t.md) & buf) |
| std::string | **[ToString](Classes/structllarp_1_1buffer__printer.md#function-tostring)**() const |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| std::basic_string_view< std::byte > | **[buf](Classes/structllarp_1_1buffer__printer.md#variable-buf)**  |

## Public Functions Documentation

### function buffer_printer

```cpp
template <typename T ,
typename  =std::enable_if_t<sizeof(T) == 1>>
inline explicit buffer_printer(
    std::basic_string_view< T > buf
)
```


### function buffer_printer

```cpp
template <typename T ,
typename  =std::enable_if_t<sizeof(T) == 1>>
inline explicit buffer_printer(
    const std::basic_string< T > & buf
)
```


### function buffer_printer

```cpp
template <typename T ,
typename  =std::enable_if_t<sizeof(T) == 1>>
explicit buffer_printer(
    std::basic_string< T > && buf
) =delete
```


### function buffer_printer

```cpp
template <typename T ,
typename  =std::enable_if_t<sizeof(T) == 1>>
inline explicit buffer_printer(
    const T * data,
    size_t size
)
```


### function buffer_printer

```cpp
inline explicit buffer_printer(
    const llarp_buffer_t & buf
)
```


### function ToString

```cpp
std::string ToString() const
```


## Public Attributes Documentation

### variable buf

```cpp
std::basic_string_view< std::byte > buf;
```


-------------------------------

Updated on 2023-02-01 at 20:39:32 +0000